org.jboss.jca.core.connectionmanager.pool.capacity

## Class MinPoolSizeDecrementer

- java.lang.Object
- - org.jboss.jca.core.connectionmanager.pool.capacity.MinPoolSizeDecrementer

- All Implemented Interfaces:
    CapacityDecrementer

      public class MinPoolSizeDecrementer
      extends java.lang.Object
      implements CapacityDecrementer

  Keep destroying connection listeners until min-pool-size is reached
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinPoolSizeDecrementer()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `shouldDestroy(ConnectionListener cl, long timeout, int currentSize, int minPoolSize, int destroyed)` Should the connection listener be destroyed
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MinPoolSizeDecrementer

          public MinPoolSizeDecrementer()

      Constructor

  - ### Method Detail

    - #### shouldDestroy

          public boolean shouldDestroy(ConnectionListener cl,
                                       long timeout,
                                       int currentSize,
                                       int minPoolSize,
                                       int destroyed)

      Should the connection listener be destroyed
      Specified by:
        `shouldDestroy` in interface `CapacityDecrementer`
      Parameters:
        `cl` - The connection listener
        `timeout` - The timeout watermark
        `currentSize` - The current pool size
        `minPoolSize` - The minimum pool size
        `destroyed` - The number of connection listeners destroyed during this call cycle
      Returns:
        `True` if the connection listener should be destroyed; otherwise `false`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)